petsc-3.10.5 2019-03-28
Report Typos and Errors

# SETERRQ

Macro to be called when an error has been detected,

### Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRQ(MPI_Comm comm,PetscErrorCode ierr,char *message)

Collective on MPI_Comm

### Input Parameters

| comm | - A communicator, use PETSC_COMM_SELF unless you know all ranks of another communicator will detect the error
| ierr | - nonzero error code, see the list of standard error codes in include/petscerror.h
| message | - error message

### Notes

Once the error handler is called the calling function is then returned from with the given error code.

See SETERRQ1(), SETERRQ2(), SETERRQ3() for versions that take arguments

Experienced users can set the error handler with PetscPushErrorHandler().

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2(), SETERRQ3()

### Level

beginner

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
src/sys/classes/random/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex11.c.html
src/sys/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex3.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages